stringprep_unichar_to_utf8(3)

NAME
stringprep_unichar_to_utf8 - API function

SYNOPSIS
#include <stringprep.h>

int stringprep_unichar_to_utf8(uint32_t c, char * outbuf);

ARGUMENTS

uint32_t c
    a ISO10646 character code

char * outbuf
    output buffer, must have at least 6 bytes of space. If NULL, the length will be computed and returned and nothing will be written to outbuf.

DESCRIPTION
Converts a single character to UTF-8.

RETURN VALUE
number of bytes written.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>. GNU Libidn home page: http://www.gnu.org/software/libidn/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.